Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7694 - docstrings broken in xemacs-mule and other binaries
Summary: docstrings broken in xemacs-mule and other binaries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: xemacs
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-09 01:46 UTC by jens-ulrik.petersen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-14 14:35:47 UTC


Attachments (Terms of Use)

Description jens-ulrik.petersen 1999-12-09 01:46:32 UTC
Redhat Powertools comes with several xemacs binary packages (xemacs,
xemacs-mule, xemacs-nox).

Evaluating

        (describe-function 'string-match)

in "/usr/bin/xemacs" gives the expected result, but in
"/usr/bin/xemacs-mule" (and also "/usr/bin/xemacs-nox" I think) the
docstring is broken giving garpled and incorrect information.

I have seen the same problem with JRPM60 xemacs packages, but haven't tried
xemacs rpms from many other distributions.

If this isn't a known problem, then maybe some people on the xemacs-beta
list could help the packagers with sorting out this annoying problem out.

Cheers, Jens
<jens-ulrik.petersen@nokia.com>

Comment 1 Tim Powers 1999-12-09 16:37:59 UTC
OK. I wasn't aware of this problem (I'm not an xemacs/emacs user). Can you tell
me exactly what was done so that I can reproduce the problem and get with some
folks here who use xemacs?

Tim

------- Email From  Jens-Ulrik Petersen <jens-ulrik.petersen@nokia.com> 12/10/99 03:10 -------
Attached to Bug # 7694.


------- Email From  Jan Vroonhof <vroonhof@math.ethz.ch> 12/10/99 05:11 -------
Attached to Bug # 7694.


------- Email From  Andreas Jaeger <aj@suse.de> 12/10/99 07:52 -------
Attached to Bug # 7694.


------- Email From  "Dr. Werner Fink" <werner@suse.de> 12/10/99 08:26 -------
Attached to Bug # 7694.

Comment 2 Ngo Than 2000-02-14 14:35:59 UTC
i have rebuild xemacs with --docdir. it works fine now


Note You need to log in before you can comment on or make changes to this bug.